
Redmine - Feature #3174

Project category tree

2009-04-15 06:26 - Nelson LaQuet

Status: Closed Start date: 2009-04-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would be nice to have a project category tree, where you could stick projects in "folders" to organize them better. I know you can

use sub-projects for this effect, but because you cannot nest projects in sub projects, I feel although I'm shooting myself in the foot.

One of the only places this would be visible would be under the "Projects" link; but perhaps you can extend this idea to make other

things better as well.

Related issues:

Related to Redmine - Feature #6319: project categories Closed 2010-09-07

Is duplicate of Redmine - Feature #3224: Better project list Closed 2009-04-23

History

#1 - 2009-04-15 08:38 - Andrew Chaika

In trunk version (0.9) project nesting is unlimited

#2 - 2009-04-16 02:01 - Nelson LaQuet

Andrew Chaika wrote:

In trunk version (0.9) project nesting is unlimited

 I'm having issues upgrading. I keep on getting errors from rails about version problems.

Are there any known issues upgrading? Can I get a full feature list of the newer version?

And is the trunk build stable enough for production use?

Thanks for the help :)

#3 - 2009-04-16 06:41 - Andrew Chaika

Nelson LaQuet wrote:

Are there any known issues upgrading?

 See RedmineUpgrade

Can I get a full feature list of the newer version?

 Changes in 0.9 version: version:0.9

And is the trunk build stable enough for production use?

 For production using 0.8.3 - last stable version is recommended.

I think that trunk version is stable enough for me and my environment (small team and no external customers) and I use it.

#4 - 2011-04-14 00:54 - Wael Nasreddine

I would appreciate this too, the problem with nesting projects in projects is that it's referenced everywhere, but projects in folders is a very nice idea.

#5 - 2013-09-30 11:59 - Andriy Lesyuk
https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade


Hi! I implemented some a kind of "folders" (but I named them "sections").

Check here:

http://projects.andriylesyuk.com/projects/project-sections/wiki

#6 - 2013-10-02 09:44 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

I close as duplicate with #3224.

Nelson LaQuet wrote:

I know you can use sub-projects for this effect, but because you cannot nest projects in sub projects,

 Nested projects is unlimited by #594 0.9.0.

#7 - 2013-10-02 09:44 - Toshi MARUYAMA

- Related to deleted (Feature #3224: Better project list)

#8 - 2013-10-02 09:44 - Toshi MARUYAMA

- Is duplicate of Feature #3224: Better project list added

#9 - 2013-10-02 09:53 - Toshi MARUYAMA

- Related to Feature #6319: project categories added
